## ros-galactic-rqt-publisher 1.1.3

=== debian/changelog ===
ros-galactic-rqt-publisher (1.1.3-1focal) focal; urgency=high

  * Fix: Do not ignore field values introduced by the user. (#28 <https://github.com/ros-visualization/rqt_publisher/issues/28>)
  * Fix modern setuptools warning about dashes instead of underscores. (#29 <https://github.com/ros-visualization/rqt_publisher/issues/29>)
  * Contributors: Chris Lalancette, coalman321

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 29 Jun 2021 00:00:00 -0000

ros-galactic-rqt-publisher (1.1.2-1focal) focal; urgency=high

  * Changed the build type to ament_python and fixed package to run with ros2 run (#18 <https://github.com/ros-visualization/rqt_publisher/issues/18>)
  * Drop numpy.float128 references (#26 <https://github.com/ros-visualization/rqt_publisher/issues/26>)
  * Contributors: Alejandro Hernández Cordero, Michel Hidalgo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 27 Apr 2021 00:00:00 -0000

ros-galactic-rqt-publisher (1.1.1-1focal) focal; urgency=high

  * Use rosidl_runtime_py instead of rqt_py_common where possible (#24 <https://github.com/ros-visualization/rqt_publisher/issues/24>)
  * Add now() to evaluation (#22 <https://github.com/ros-visualization/rqt_publisher/issues/22>)
  * Contributors: Ivan Santiago Paunovic, Yossi Ovcharik

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 16 Mar 2021 00:00:00 -0000

ros-galactic-rqt-publisher (1.1.0-1focal) focal; urgency=high

  * fix setting expressions on sequence items (#16 <https://github.com/ros-visualization/rqt_publisher/issues/16>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 03 Oct 2019 00:00:00 -0000

ros-galactic-rqt-publisher (1.0.3-1focal) focal; urgency=high

  * Prepending node namespace to relative topics and adding validation for topic names (#7 <https://github.com/ros-visualization/rqt_publisher/issues/7>)
  * Contributors: brawner

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 13 Dec 2018 00:00:00 -0000

ros-galactic-rqt-publisher (1.0.2-1focal) focal; urgency=high

  * fix cleaning up publisher on shutdown (#6 <https://github.com/ros-visualization/rqt_publisher/issues/6>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 12 Dec 2018 00:00:00 -0000

ros-galactic-rqt-publisher (1.0.1-1focal) focal; urgency=high

  * destroy publishers on removal (#4 <https://github.com/ros-visualization/rqt_publisher/issues/4>)
  * Contributors: Mike Lautman

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 12 Dec 2018 00:00:00 -0000

ros-galactic-rqt-publisher (1.0.0-1focal) focal; urgency=high

  * Port to ROS2 (#2 <https://github.com/ros-visualization/rqt_publisher/issues/2>)
  * autopep8 (#1 <https://github.com/ros-visualization/rqt_publisher/issues/1>)
  * Contributors: Mike Lautman, brawner

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 11 Dec 2018 00:00:00 -0000

ros-galactic-rqt-publisher (0.4.8-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 24 Apr 2017 00:00:00 -0000

ros-galactic-rqt-publisher (0.4.7-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 02 Mar 2017 00:00:00 -0000

ros-galactic-rqt-publisher (0.4.6-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Feb 2017 00:00:00 -0000

ros-galactic-rqt-publisher (0.4.5-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 03 Feb 2017 00:00:00 -0000

ros-galactic-rqt-publisher (0.4.4-1focal) focal; urgency=high

  * use Python 3 compatible syntax (#421 <https://github.com/ros-visualization/rqt_common_plugins/pull/421>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 24 Jan 2017 00:00:00 -0000

ros-galactic-rqt-publisher (0.4.3-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 02 Nov 2016 00:00:00 -0000

ros-galactic-rqt-publisher (0.4.2-1focal) focal; urgency=high

  * use checkbox for boolean types (#372 <https://github.com/ros-visualization/rqt_common_plugins/issues/372>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 19 Sep 2016 00:00:00 -0000

ros-galactic-rqt-publisher (0.4.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 16 May 2016 00:00:00 -0000

ros-galactic-rqt-publisher (0.4.0-1focal) focal; urgency=high

  * Support Qt 5 (in Kinetic and higher) as well as Qt 4 (in Jade and earlier) (#359 <https://github.com/ros-visualization/rqt_common_plugins/pull/359>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 27 Apr 2016 00:00:00 -0000

ros-galactic-rqt-publisher (0.3.13-1focal) focal; urgency=high

  * fixed rqt_publisher plugin to fill message slots for individual fields of primitive arrays
  * use proper icon names for add/remove
  * Contributors: Robert Haschke, Vincent Rabaud

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 08 Mar 2016 00:00:00 -0000

ros-galactic-rqt-publisher (0.3.12-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 24 Jul 2015 00:00:00 -0000

ros-galactic-rqt-publisher (0.3.11-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 30 Apr 2015 00:00:00 -0000

ros-galactic-rqt-publisher (0.3.10-1focal) focal; urgency=high

  * update plugin scripts to use full name to avoid future naming collisions

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 01 Oct 2014 00:00:00 -0000

ros-galactic-rqt-publisher (0.3.9-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Aug 2014 00:00:00 -0000

ros-galactic-rqt-publisher (0.3.8-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 15 Jul 2014 00:00:00 -0000

ros-galactic-rqt-publisher (0.3.7-1focal) focal; urgency=high

  * fix compatibility with Groovy, use queue_size for Python publishers only when available (#243 <https://github.com/ros-visualization/rqt_common_plugins/issues/243>)
  * export architecture_independent flag in package.xml (#254 <https://github.com/ros-visualization/rqt_common_plugins/issues/254>)


